summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2018-02-22 18:42:40 +0000
committerPatrick Lauer <patrick@gentoo.org>2018-02-22 18:57:37 +0000
commitd29e9fb8a06aa6359cbf620a8859514e401604af (patch)
treeb294a447f76586bb714fccbecf858c90365042ba /dev-db
parentdev-db/aerospike-server-community: Bump (diff)
downloadgentoo-d29e9fb8a06aa6359cbf620a8859514e401604af.tar.gz
gentoo-d29e9fb8a06aa6359cbf620a8859514e401604af.tar.bz2
gentoo-d29e9fb8a06aa6359cbf620a8859514e401604af.zip
dev-db/aerospike-server-community: Bump
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/aerospike-server-community/Manifest1
-rw-r--r--dev-db/aerospike-server-community/aerospike-server-community-3.16.0.1.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/dev-db/aerospike-server-community/Manifest b/dev-db/aerospike-server-community/Manifest
index d3181bdfd2b..ae0c285548d 100644
--- a/dev-db/aerospike-server-community/Manifest
+++ b/dev-db/aerospike-server-community/Manifest
@@ -6,3 +6,4 @@ DIST aerospike-server-community-3.15.0.1-debian7.tgz 10299283 BLAKE2B 197c8acc0f
DIST aerospike-server-community-3.15.0.2-debian7.tgz 10299075 BLAKE2B 86b755fef6b0fe9e1736584d38e3e9b9ec46f661698ec9643c507605a0252725fea971a46ba2f25a302961c2916b4e21a8d76c8ae8a1a76b3e9a06f30d4fdc74 SHA512 6aae04d81ff9a56e2283186b8a38947b9a30cd2ed97ea4613a9eecd89912ec31695a959f25fc0b06b2cac13c1aaf1c46366cf3967f776a515196e2a2e5dbe431
DIST aerospike-server-community-3.15.1.3-debian7.tgz 9774757 BLAKE2B bf050897c8ed862155c80844035af39efb04f5875e49593412f3735465e6ddb1eb24cb7a3734c158041ac2e42f54ddc0cbd54ce0019e306b2297fa83d9a6f276 SHA512 67b57814f3a2c950b41952a45a9b3e56739397084af295dccdb364f79dec3e4db717a1e3b4569e920dfac76352f4214c5178bc6f780a60fec6689b1fdff01f4a
DIST aerospike-server-community-3.15.1.4-debian7.tgz 9775381 BLAKE2B 4f7fe86d99cb0cdc74d0bacdcdaea8112e105b6daa870fee12a0137447118ba73adc580b4e4a47f9e1338bc393aeb32787b067a75415bf5c1c6d76cf4ee94d7c SHA512 2b77622ea4eb35de9eb26b33f0cf47fc8d29a70fe75848b81245842b2f3c728d6b2d3ebe72369b91ef0d53be168cea04086ae469ad69124ab2010f48f3005fd5
+DIST aerospike-server-community-3.16.0.1-debian7.tgz 13480540 BLAKE2B 4137670c9ee0bba6cb836e9e60a200b8e71896461b96dc594e51cdf075cf0d89031079160d30896ae890f3e72a8ee4bba1bb4133d1054f5ddf5928fad792d2c5 SHA512 17f6ab38ec8e81cc81197eaa858f61eb15555ae66ba3c6e01153805dd0b3fe9d48b9436e327a3395c9de3db92920a351354359fcb49214820a5945fcef757e6b
diff --git a/dev-db/aerospike-server-community/aerospike-server-community-3.16.0.1.ebuild b/dev-db/aerospike-server-community/aerospike-server-community-3.16.0.1.ebuild
new file mode 100644
index 00000000000..d69e7847e7e
--- /dev/null
+++ b/dev-db/aerospike-server-community/aerospike-server-community-3.16.0.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit eutils user
+
+DESCRIPTION="Flash-optimized, in-memory, nosql database"
+HOMEPAGE="http://www.aerospike.com"
+SRC_URI="http://www.aerospike.com/artifacts/${PN}/${PV}/${P}-debian7.tgz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="sys-libs/readline:0
+ sys-libs/zlib
+ dev-libs/openssl:0
+ "
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${P}-debian7"
+
+pkg_setup() {
+ enewgroup aerospike
+ enewuser aerospike -1 /bin/bash /opt/aerospike aerospike
+}
+
+src_prepare() {
+ local server_deb="${P}.debian7.x86_64.deb"
+ local tools_deb="aerospike-tools-3.15.2.1.debian7.x86_64.deb"
+
+ ar x "${server_deb}" || die
+ tar xzf data.tar.gz && rm data.tar.gz || die
+
+ ar x "${tools_deb}" || die
+ tar xzf data.tar.gz && rm data.tar.gz || die
+
+ rm *.deb asinstall control.tar.gz debian-binary LICENSE SHA256SUMS
+ rm usr/bin/{asfixownership,asmigrate2to3}
+}
+
+src_install() {
+ insinto /opt/
+ doins -r opt/aerospike
+
+ fperms +x -R /opt/aerospike/bin/
+ fperms +x -R /opt/aerospike/lib/python/
+
+ for dir in '/etc' '/var/log'; do
+ keepdir "${dir}/aerospike"
+ done
+
+ insinto /etc/aerospike
+ for conf in 'aerospike.conf' 'aerospike_mesh.conf' 'aerospike_ssd.conf'; do
+ doins "${FILESDIR}/${conf}"
+ done
+
+ insinto /usr/bin
+ doins usr/bin/*
+ fperms +x -R /usr/bin/asd
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/aerospike.logrotate aerospike
+
+ newinitd "${FILESDIR}"/aerospike.init aerospike
+
+ fowners -R aerospike:aerospike /opt/aerospike/
+ fowners aerospike:aerospike /usr/bin/asd
+ fowners -R aerospike:aerospike /var/log/aerospike
+}